> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Acknowledge gift card activation

> Acknowledges gift card activation is successful



## OpenAPI

````yaml oms_v2_combined post /shipment/gift-card/activation-acknowledge
openapi: 3.0.1
info:
  title: Orders v2 (OMS v2)
  description: >-
    fabric's OMS v2 APIs are high performance endpoints are built on highly
    scalable architecture, and include a configurable data model to orchestrate
    the order fulfillment process. These APIs let merchants create order
    records, initiate post-order process workflows and manage order related data
    such as, invoicing, tracking, returns, exchange, cancellation, appeasements,
    backorders, shipment and other use cases.
  termsOfService: https://fabric.inc/terms-of-use
  contact:
    email: support@fabric.inc
  license:
    name: fabric API license
    url: https://fabric.inc/api-license
  version: 2.0.0
servers:
  - url: https://prod01.oms.fabric.inc/api/v2
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Allocation
    description: Endpoints to perform allocation operations
  - name: Appeasement
    description: >-
      Appeasement refers to a goodwill credit applied to a fulfilled order when
      customer faces difficulties for an order, for example late delivery,
      received damaged product, and like wise.  This endpoint help in creating
      appeasement for customer orders.
  - name: Package Tracking
    description: Package Tracking endpoint helps in performing package tracking operations
  - name: Payment Status
    description: This endpoint helps in retrieving payment status for an order
  - name: Order Cancellation
    description: These endpoints help in performing order cancellation operations
  - name: Order
    description: >-
      An order is a customer's request to purchase one or more products from a
      shop or from a website. Order endponts let merchants get order details,
      create, update, and delete orders.
  - name: Order Attribute
    description: These endpoints help in performing attribute operations for an order
  - name: Order Return
    description: These endpoints help in performing order Return operations
  - name: Cross Border
    description: >-
      Cross Border service provides capabilities related to orders that have
      international shipping. These endpoints help in performing cross border
      operations.
  - name: BackOrder PreOrder Reservation
    description: >-
      These Endpoints help in performing BackOrder PreOrder Reservation
      operations
  - name: Configuration
    description: >-
      These endpoints help in performing CRUD operations on tenant
      configurations
  - name: Target Configuration
    description: >-
      These endpoints help in performing CRUD operations on Target
      configurations
  - name: Fraud Configuration
    description: These endpoints help in performing CRUD operations on Fraud configurations
  - name: Fraud
    description: These endpoints help in managing fraud release and cancel operation
  - name: Export
    description: These endpoints help in performing export operations
  - name: Inventory Network
    description: >-
      Network refers to a group of locations having a group of SKUs in each
      location. Network endpoints let you read, create, and manage an
      inventory-network by location, brand, or any other custom attributes.
  - name: Inventory
    description: >-
      These endpoints let you read, create and bulk update inventory across all
      locations.
  - name: Inventory Upload Log
    description: These endpoints let you view the record of the inventory uploads.
  - name: Inventory Bulk Operation
    description: >-
      Bulk Operation endpoints let you upload and download inventory details, in
      bulk, using a  CSV file to and from AWS (Amazon Web Service) server
      presigned S3 URL that is generated from the Order service.
  - name: Inventory Attribute
    description: >-
      Attribute refers to a set of characteristics that define inventory.
      Attribute endpoints let you create, read, update, and delete inventory
      attributes at any hierarchy level (location, SKU, item, channel) or at
      counter level.
  - name: Inventory Counter
    description: >-
      Counter refers to inventory positions such as, available, in-transit,
      on-hand, or other custom positions. These endpoints let you read, update,
      and create custom counters that suit your business use case.
  - name: Invoice
    description: These endpoints help in generating the invoices
  - name: List
    description: To create and manage lists
  - name: Location
    description: Location endpoints let you create, read, update, and delete location.
  - name: Location Attribute
    description: >-
      Location attribute endpoints let you create, read, update, and delete
      location attributes. These location attributes are used while creating or
      updating locations. When the attribute is configured  as required, it is
      mandatory to add the attribute while creating location.
  - name: Shipment
    description: To provides real time update of shipments
  - name: Shipping Method
    description: Endpoints to perform operations related to shipping methods
  - name: Webhook
    description: >-
      These endpoints help in performing CRUD operations on webhook
      subscriptions
paths:
  /shipment/gift-card/activation-acknowledge:
    post:
      tags:
        - Shipment
      summary: Acknowledge gift card activation
      description: Acknowledges gift card activation is successful
      operationId: giftCardActivationAcknowledge
      parameters:
        - $ref: '#/components/parameters/xSiteContent'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                shipmentId:
                  type: string
                  description: Shipment ID
                  example: '78974156816152'
                items:
                  type: array
                  items:
                    type: object
                    properties:
                      itemId:
                        type: string
                        description: Item ID
                        example: '100023'
                      sku:
                        type: string
                        description: Item SKU
                        example: SKU0023
                      channelId:
                        type: string
                        description: Sales channel ID
                        example: '12'
                      orderId:
                        type: string
                        description: Order ID (fabric-generated)
                      orderNumber:
                        type: string
                        description: >-
                          Order number. It's usually generated by another
                          system, such as an external checkout system.
                        example: 507f1f77bcf86cd799439011
                      lineItemId:
                        type: string
                        description: Line item ID to identify item in the order
                        example: '1'
                      giftCard:
                        type: array
                        items:
                          type: object
                          properties:
                            giftCardNum:
                              type: string
                              description: Gift card number
                              example: '453456765'
                            giftCardStatus:
                              type: string
                              description: Gift card status
                              example: ACTIVE
                          description: Gift card details
                    description: >-
                      Gift card details in the context of order and associated
                      items
              description: Details of gift card associated with shipment
        required: true
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                type: object
                properties:
                  shipmentId:
                    type: string
                    description: 24-character fabric-generated unique ID of shipment
                    example: 627963716b19511e8a3a631b
                  shipmentNum:
                    type: string
                    description: Shipment number (external)
                    example: '78974156816152'
                  invoiceId:
                    type: string
                    description: fabric-generated Invoice ID
                    example: '5674156816152'
                  allocationId:
                    type: string
                    description: >-
                      Allocation ID for an order, generated from allocation
                      service
                    example: '112345678912340'
                  orderNumber:
                    description: >-
                      Order number. It's usually generated by another system,
                      such as an external checkout system.
                    example:
                      - '112345678912340'
                      - '112345678912340'
                    type: array
                    items:
                      type: string
                  poNumber:
                    type: string
                    description: Purchase order number (generally, vendor-generated)
                    example: '1125'
                  vendorId:
                    type: string
                    description: Vendor ID
                    example: '56'
                  statusCode:
                    type: string
                    description: Shipment status code
                    example: SHIPPED
                    enum:
                      - SHIPMENT_CREATED
                      - SHIPMENT_CANCELLED
                      - PICKUP_CREATED
                      - PICKUP_COMPLETED
                      - SHIPMENT_RETURN_PENDING
                      - SHIPMENT_RETURN_RECEIVED
                      - SHIPMENT_PARTIALLY_DELIVERED
                      - SHIPMENT_DELIVERED
                  type:
                    type: string
                    description: shipment type
                    example: STANDARD
                    enum:
                      - STANDARD
                      - RESHIP
                      - RETURN
                      - SCRATCH
                      - PICKUP
                  reshipmentReasonCode:
                    type: string
                    description: Reason code for reshipment
                    example: Order went missing
                  shipDate:
                    type: string
                    description: Time of shipping
                    format: date-time
                    example: '2022-06-06T07:58:30.996Z'
                  locationNum:
                    type: string
                    description: >-
                      location number from location service to get exact
                      address.
                    example: '132412'
                  locationType:
                    type: string
                    description: >-
                      Location type based on location service such as store,
                      distribution center (DC)
                    example: DC
                  totalCartons:
                    type: integer
                    description: Total number of cartons
                    format: int32
                    example: 2
                  masterTrackingNumber:
                    type: string
                    description: >-
                      Main tracking number, to track fulfillment of all the
                      orders
                    example: TX112345678
                  shipToId:
                    type: string
                    description: Ship-to ID refers to item's delivery address
                    example: '1'
                  shipToAddress:
                    type: object
                    properties:
                      addressLine1:
                        type: string
                        description: Line 1 of address
                        example: 888 Broadway
                      addressLine2:
                        type: string
                        description: Line 2 of address
                        example: 505 suite
                      addressLine3:
                        type: string
                        description: Line 3 of address
                      addressLine4:
                        type: string
                        description: Line 3 of address
                      city:
                        type: string
                        description: City of delivery
                        example: New York
                      state:
                        type: string
                        description: State of delivery
                        example: NY
                      country:
                        type: string
                        description: Country name
                        example: USA
                      postalCode:
                        type: string
                        description: Postal code
                        example: '1003'
                      type:
                        type: string
                        description: Address type
                        example: home
                      latitude:
                        type: number
                        description: Geo-latitude of delivery address
                        format: double
                        example: 134.13413
                      longitude:
                        type: number
                        description: Geo-longitude of delivery address
                        format: double
                        example: 757.0435
                    description: Details of delivery address
                  recipient:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: object
                          properties:
                            first:
                              type: string
                              description: First name of primary contact
                              example: John
                            middle:
                              type: string
                              description: Middle name of primary contact
                            last:
                              type: string
                              description: Last name of primary contact
                              example: Doe
                          description: Primary contact details
                        email:
                          type: string
                          description: Email address of primary contact for delivery
                          example: support@abc.inc
                        phone:
                          type: object
                          properties:
                            number:
                              type: string
                              description: Phone number of primary contact
                              example: 10612345678
                            type:
                              type: string
                              description: Phone type of primary contact
                              example: MOBILE
                          description: Phone number of primary contact
                      description: Recipient details for shipment
                  cartons:
                    type: array
                    items:
                      type: object
                      properties:
                        cartonNum:
                          type: string
                          description: Carton number to identify packages
                          example: '1'
                        cartonType:
                          type: string
                          description: Cartoon type
                          example: Package
                        promisedDeliveryDate:
                          type: string
                          description: Promised delivery date
                          format: date-time
                          example: '2022-05-26T07:58:30.996Z'
                        estimatedShipDate:
                          type: string
                          description: Estimated shipping date
                          format: date-time
                          example: '2022-05-25T07:58:30.996Z'
                        estimatedDeliveryDate:
                          type: string
                          description: Estimated delivery date
                          format: date-time
                          example: '2022-05-26T07:58:30.996Z'
                        shipmentMethod:
                          type: string
                          description: Shipment method
                          example: ground
                        shipmentCarrier:
                          type: string
                          description: Shipment carrier
                          example: FEDEX
                        weight:
                          type: string
                          description: Shipment weight
                          example: 500 gram
                        trackingNumber:
                          type: string
                          description: Courier tracking number for the carton
                          example: 1Z999AA10123456784
                        trackingURL:
                          type: string
                          description: Shipment tracking URL
                          example: https://fedex.com/tracking
                        trackingDetails:
                          type: array
                          description: Shipment tracking details
                          items:
                            type: object
                            properties:
                              event:
                                type: string
                                description: Event status
                                example: picked up
                              eventId:
                                type: string
                                description: 24-character system-generated unique event ID
                                example: 627963716b19511e8a3a631b
                              timestamp:
                                type: string
                                description: Time of event creation
                                example: '2019-09-30T07:58:30.996Z'
                              shipmentCarrier:
                                type: string
                                description: >-
                                  Shipment carrier name. Applicable in case of a
                                  different carrier
                                example: FEDEX
                              location:
                                type: string
                                description: Current location
                                example: Reno, NV
                              notes:
                                type: object
                                additionalProperties:
                                  type: string
                                  description: Shipment notes, for reference
                                description: shipment notes
                            description: >-
                              Details of shipment tracking generated once
                              shipment is picked up from store
                        items:
                          type: array
                          description: Item details
                          items:
                            type: object
                            properties:
                              shipmentLineItemId:
                                type: string
                                description: Line item ID of shipment
                                example: 607f1f77bcf86cd799439011
                              orderId:
                                type: string
                                description: Order ID (fabric-generated)
                                example: '317736896'
                              orderNumber:
                                type: string
                                description: >-
                                  Order number. It's usually generated by
                                  another system, such as an external checkout
                                  system.
                                example: 507f1f77bcf86cd799439011
                              lineItemId:
                                type: string
                                description: Line item ID to identify item in the order
                                example: '1'
                              itemId:
                                type: string
                                description: Item ID
                                example: '100023'
                              sku:
                                type: string
                                description: SKU of item
                                example: SKU0023
                              channelId:
                                type: string
                                description: Sales channel ID
                                example: '12'
                              segment:
                                type: string
                                description: Segment associated with item
                                example: null
                              vendorId:
                                type: string
                                description: Vendor ID
                                example: '56'
                              orderedQuantity:
                                type: integer
                                description: >-
                                  Items ordered. Currently, there is no
                                  validation in place
                                format: int32
                                example: 2
                              shippedQuantity:
                                type: integer
                                description: Items shipped
                                format: int32
                                example: 2
                              returnQuantity:
                                type: integer
                                description: Items returned
                                format: int32
                                example: 1
                              returnAmount:
                                type: number
                                description: Return amount
                                example: 10
                              fees:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    type:
                                      type: string
                                      example: tax
                                      description: Component of shipment fee
                                    value:
                                      type: number
                                      example: 34.56
                                      description: Value corresponding to **type**
                                    quantity:
                                      type: integer
                                      description: Shipment quantity
                                      format: int32
                                      example: 12
                                    refundAmount:
                                      type: number
                                      description: Refund amount
                                      example: 10.4
                                  description: Fee details for returned shipments
                              giftCard:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    giftCardNum:
                                      type: string
                                      description: Gift card number
                                      example: '453456765'
                                    amount:
                                      type: number
                                      description: Gift card amount
                                      example: 50
                                    giftCardStatus:
                                      type: string
                                      description: Gift card status
                                      example: ACTIVE
                                    giftCardActiveRequestDate:
                                      type: string
                                      description: >-
                                        Time of placing gift card activation
                                        request
                                      example: '2022-05-26T07:58:30.996Z'
                                    giftCardActiveDate:
                                      type: string
                                      description: Time of gift card activation
                                      example: '2022-06-26T07:58:30.996Z'
                                  description: Gift card details
                              attributes:
                                type: object
                                additionalProperties:
                                  type: object
                                  properties: {}
                              uom:
                                type: string
                                description: Unit of measure
                                example: null
                            description: Item details of a shipment
                      description: Carton details
                  scratchedItems:
                    type: array
                    description: details of scratched items
                    items:
                      type: object
                      properties:
                        orderId:
                          type: string
                          description: Order ID (fabric-generated)
                          example: 507f1f77bcf86cd799439012
                        lineItemId:
                          type: string
                          description: Line item ID to identify item in the order
                          example: '2'
                        itemId:
                          type: string
                          description: Item ID
                          example: '100043'
                        sku:
                          type: string
                          description: SKU number
                          example: SKU00043
                        quantity:
                          type: integer
                          format: int32
                          description: Item quantity
                          example: 1
                        reasonCode:
                          type: string
                          description: Reason code for return
                        subReasonCode:
                          type: string
                          description: sub-reason code for return
                        attributes:
                          type: object
                          additionalProperties:
                            type: object
                            properties: {}
                          description: Additional details of scratched item
                        uom:
                          type: string
                          description: Unit of measure
                          example: null
                      description: Shipment details of return items
                  createdAt:
                    type: string
                    description: Time of shipment creation
                    format: date-time
                    example: '2022-06-06T07:58:30.996Z'
                  updatedAt:
                    type: string
                    description: Time of last update
                    format: date-time
                    example: '2022-06-06T07:58:30.996Z'
                  auditLogs:
                    type: array
                    description: Details of audit logs
                    items:
                      type: object
                      properties:
                        auditType:
                          type: string
                          example: create
                          description: Audit type
                        employeeId:
                          type: string
                          example: 62272e917b12209e68751d94
                          description: Employee ID (store context)
                        auditTimestamp:
                          type: string
                          example: '2022-05-12T09:24:54.804Z'
                          description: Time of audit
                        source:
                          type: string
                          description: Source of audit
                          example: POS
                        note:
                          type: string
                          example: Note
                          description: Notes related audit, for future reference
                        attributes:
                          type: object
                          additionalProperties:
                            type: object
                            properties: {}
                        updatedFields:
                          type: array
                          items:
                            type: object
                            properties:
                              attributeName:
                                type: string
                                example: UOM
                                description: Attribute name
                              attributeOriginalValue:
                                type: string
                                example: PK
                                description: >-
                                  Original value of attribute, to track change
                                  in values for the given **attributeName**
                            description: Details of updated attributes
                      description: Audit details
                  attributes:
                    type: object
                    additionalProperties:
                      type: object
                      description: Details of additional attributes, if applicable
                    description: Attribute details for additional information
                description: Shipment details
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                description: Error details
              example:
                message: Bad Request
        '404':
          description: Object Not Found!
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                description: Error details
              example:
                message: Object Not Found.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                description: Error details
              example:
                message: Internal Server Error
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````